Package org.gradle.tooling

# Interface TestSpecs

@Incubating public interface TestSpecs
Provides test selection from a specific test task.

Since:
  7.6
See Also:
  - `TestLauncher.withTestsFor(Action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TestSpec`
  `forTaskPath(String taskPath)`
  Creates a new test selection for the target task.

- ## Method Details

  - ### forTaskPath

    TestSpec forTaskPath(String taskPath)
    Creates a new test selection for the target task.
    Parameters:
      `taskPath` - The target task.
    Returns:
      A new test selection.